|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Protected Member Functions
gameplay::PhysicsVehicleWheel Class Reference

`#include <PhysicsVehicleWheel.h>`

Inheritance diagram for gameplay::PhysicsVehicleWheel:

List of all members.

## Public Member Functions

PhysicsCollisionObject::Type | getType () const
void | setEnabled (bool enable)
void | transform (Node *node) const
bool | isSteerable () const
void | setSteerable (bool steerable)
void | getWheelDirection (Vector3 *wheelDirection) const
void | setWheelDirection (const Vector3 &wheelDirection)
void | getWheelAxle (Vector3 *wheelAxle) const
void | setWheelAxle (const Vector3 &wheelAxle)
void | getStrutConnectionOffset (Vector3 *strutConnectionOffset) const
void | setStrutConnectionOffset (const Vector3 &strutConnectionOffset)
float | getStrutRestLength () const
void | setStrutRestLength (float strutRestLength)
float | getStrutTravelMax () const
void | setStrutTravelMax (float strutTravelMax)
float | getStrutStiffness () const
void | setStrutStiffness (float strutStiffness)
float | getStrutDampingCompression () const
void | setStrutDampingCompression (float strutDampingCompression)
float | getStrutDampingRelaxation () const
void | setStrutDampingRelaxation (float strutDampingRelaxation)
float | getStrutForceMax () const
void | setStrutForceMax (float strutForceMax)
float | getFrictionBreakout () const
void | setFrictionBreakout (float frictionBreakout)
float | getWheelRadius () const
void | setWheelRadius (float wheelRadius)
float | getRollInfluence () const
void | setRollInfluence (float rollInfluence)

## Protected Member Functions

btCollisionObject * | getCollisionObject () const

## Detailed Description

Defines a class for vehicle wheel physics which represents the individual wheel itself as well as the tire and suspension.

See also:
  http://gameplay3d.github.io/GamePlay/docs/file-formats.html#wiki-Collision_Objects

## Member Function Documentation

btCollisionObject* gameplay::PhysicsVehicleWheel::getCollisionObject | ( |  | ) | const`[protected, virtual]`

See also:
  PhysicsCollisionObject::getCollisionObject

Implements gameplay::PhysicsCollisionObject.

float gameplay::PhysicsVehicleWheel::getFrictionBreakout | ( |  | ) | const

Gets the breakout friction.

Returns:
  the breakout friction.

float gameplay::PhysicsVehicleWheel::getRollInfluence | ( |  | ) | const

Gets roll influence which determines how side friction affects chassis roll.

Returns:
  roll influence, normalized factor.

void gameplay::PhysicsVehicleWheel::getStrutConnectionOffset | ( | Vector3 * | strutConnectionOffset | ) | const

Gets offset from the default strut connection point. The default strut connection point is determined from the position of the wheel node relative to the chassis node, and uses the specified value for strut rest length to locate the connection point above it (i.e., in the specified direction of strut compression). Any non-zero strut connection offset acts as a delta from the computed default.

Parameters:

  strutConnectionOffset | address of where to store the result.

float gameplay::PhysicsVehicleWheel::getStrutDampingCompression | ( |  | ) | const

Gets strut damping under compression, normalized to chassis mass.

Returns:
  strut damping under compression, normalized to chassis mass.

float gameplay::PhysicsVehicleWheel::getStrutDampingRelaxation | ( |  | ) | const

Gets strut damping under relaxation, normalized to chassis mass.

Returns:
  strut damping under relaxation, normalized to chassis mass.

float gameplay::PhysicsVehicleWheel::getStrutForceMax | ( |  | ) | const

Gets the maximum strut force.

Returns:
  the maximum strut force.

float gameplay::PhysicsVehicleWheel::getStrutRestLength | ( |  | ) | const

Gets the strut rest length.

Returns:
  the strut rest length.

float gameplay::PhysicsVehicleWheel::getStrutStiffness | ( |  | ) | const

Gets the strut stiffness, normalized to chassis mass.

Returns:
  the strut stiffness, normalized to chassis mass.

float gameplay::PhysicsVehicleWheel::getStrutTravelMax | ( |  | ) | const

Gets the maximum strut travel.

Returns:
  the maximum strut travel.

PhysicsCollisionObject::Type gameplay::PhysicsVehicleWheel::getType | ( |  | ) | const`[virtual]`

See also:
  PhysicsCollisionObject::getType

Implements gameplay::PhysicsCollisionObject.

void gameplay::PhysicsVehicleWheel::getWheelAxle | ( | Vector3 * | wheelAxle | ) | const

Gets direction of axle (the spin axis), in chassis space.

Parameters:

  wheelAxle | address of where to store the result.

void gameplay::PhysicsVehicleWheel::getWheelDirection | ( | Vector3 * | wheelDirection | ) | const

Gets direction of strut extension, in chassis space.

Parameters:

  wheelDirection | address of where to store the result.

float gameplay::PhysicsVehicleWheel::getWheelRadius | ( |  | ) | const

Gets the wheel radius.

Returns:
  the wheel radius.

bool gameplay::PhysicsVehicleWheel::isSteerable | ( |  | ) | const

Returns true if this wheel is steerable, false otherwise.

Returns:
  true if this wheel is steerable, false otherwise.

void gameplay::PhysicsVehicleWheel::setEnabled | ( | bool | enable | ) |

Operation not supported. Use host vehicle's setEnabled() instead.

Reimplemented from gameplay::PhysicsCollisionObject.

void gameplay::PhysicsVehicleWheel::setFrictionBreakout | ( | float | frictionBreakout | ) |

Sets the breakout friction.

Parameters:

  frictionBreakout | the breakout friction.

void gameplay::PhysicsVehicleWheel::setRollInfluence | ( | float | rollInfluence | ) |

Sets roll influence which determines how side friction affects chassis roll.

Parameters:

  rollInfluence | roll influence, normalized factor.

void gameplay::PhysicsVehicleWheel::setSteerable | ( | bool | steerable | ) |

Sets whether this wheel is steerable.

Parameters:

  steerable | true if this wheel is steerable, false otherwise.

void gameplay::PhysicsVehicleWheel::setStrutConnectionOffset | ( | const Vector3 & | strutConnectionOffset | ) |

Sets offset from the default strut connection point. The default strut connection point is determined from the position of the wheel node relative to the chassis node, and uses the specified value for strut rest length to locate the connection point above it (i.e., in the specified direction of strut compression). Any non-zero strutConnectionOffset acts as a delta from the computed default.

Parameters:

  strutConnectionOffset | offset from the default strut connection point.

void gameplay::PhysicsVehicleWheel::setStrutDampingCompression | ( | float | strutDampingCompression | ) |

Sets strut damping under compression, normalized to chassis mass.

Parameters:

  strutDampingCompression | strut damping under compression, normalized to chassis mass.

void gameplay::PhysicsVehicleWheel::setStrutDampingRelaxation | ( | float | strutDampingRelaxation | ) |

Sets strut damping under relaxation, normalized to chassis mass.

Parameters:

  strutDampingRelaxation | strut damping under relaxation, normalized to chassis mass.

void gameplay::PhysicsVehicleWheel::setStrutForceMax | ( | float | strutForceMax | ) |

Sets the maximum strut force.

Parameters:

  strutForceMax | the maximum strut force.

void gameplay::PhysicsVehicleWheel::setStrutRestLength | ( | float | strutRestLength | ) |

Sets the strut rest length.

Parameters:

  strutRestLength | the strut rest length.

void gameplay::PhysicsVehicleWheel::setStrutStiffness | ( | float | strutStiffness | ) |

Sets the strut stiffness, normalized to chassis mass.

Parameters:

  strutStiffness | the strut stiffness, normalized to chassis mass.

void gameplay::PhysicsVehicleWheel::setStrutTravelMax | ( | float | strutTravelMax | ) |

Sets the maximum strut travel.

Parameters:

  strutTravelMax | the maximum strut travel.

void gameplay::PhysicsVehicleWheel::setWheelAxle | ( | const Vector3 & | wheelAxle | ) |

Sets direction of axle (the spin axis), in chassis space.

Parameters:

  wheelAxle | direction of axle (the spin axis).

void gameplay::PhysicsVehicleWheel::setWheelDirection | ( | const Vector3 & | wheelDirection | ) |

Sets direction of strut extension, in chassis space.

Parameters:

  wheelDirection | direction of strut extension.

void gameplay::PhysicsVehicleWheel::setWheelRadius | ( | float | wheelRadius | ) |

Sets the wheel radius.

Parameters:

  wheelRadius | the wheel radius.

void gameplay::PhysicsVehicleWheel::transform | ( | Node * | node | ) | const

Apply this wheel's world transform to the specified node. Useful for updating the specified visual node with the current transform.

Parameters:

  node | the node to be transformed; (typically a visual representation of this wheel).

All Classes Functions Variables Typedefs Enumerations Enumerator